Bug 216134 - duplicate global symbols in libxdelta+libedsio
duplicate global symbols in libxdelta+libedsio
Product: Fedora
Classification: Fedora
Component: xdelta (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Adam Tkac
Depends On:
Blocks: 216170
  Show dependency treegraph
Reported: 2006-11-17 09:08 EST by Joe Orton
Modified: 2013-04-30 19:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-18 11:42:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2006-11-17 09:08:22 EST
Description of problem:
jorton@jolt:~$ rpm -qf /usr/lib/libedsio.so.0.0.0  /usr//lib/libxdelta.so.2.0.0 

Clashes for /usr/lib/libxdelta.so.2.0.0:
  with /usr/lib/libedsio.so.0.0.0 => serializeio_source_reset_allocation
EC_EdsioOutputBufferShort (...193 symbols omitted...) EC_EdsioUnexpectedType

these libraries both seem to contain a whole bunch of duplicated symbols.  Is
this intentional or is one supposed to be linked against the other?
Comment 1 Adam Tkac 2007-01-18 11:42:44 EST
I've reported this problem to upstream so let final resolution there.

Note You need to log in before you can comment on or make changes to this bug.